<?php 
    session_start(); // Démarrage de la session
    require("controleur/config_bdd.php");

    if(!empty($_POST['email_admin']) && !empty($_POST['password_admin'])) // Si il existe les champs email, password et qu'il sont pas vident
    {
        // Patch XSS
        $email_admin = htmlspecialchars($_POST['email_admin']); 
        $password_admin = htmlspecialchars($_POST['password_admin']);
        
        $email_admin = strtolower($email_admin); // email transformé en minuscule
        
        // On regarde si l'utilisateur est inscrit dans la table utilisateurs
        $check = $bdd->prepare('SELECT nom_admin,prenom_admin,datenaissance_admin,pseudo_admin, email_admin, password_admin, token_admin FROM admin_ve WHERE email_admin = ?');
        $check->execute(array($email_admin));
        $data = $check->fetch();
        $row = $check->rowCount();
        
        /*echo $email_admin;
        echo $password_admin;*/

        // Si > à 0 alors l'utilisateur existe
        if($row > 0){
            if(filter_var($email_admin, FILTER_VALIDATE_EMAIL)){// Si le mail est bon niveau format
                if(password_verify($password_admin, $data['password_admin'])){// Si le mot de passe est le bon
                    $_SESSION['admin_ve'] = $data['token_admin'];
                    header('Location: pageAdmin.php');/*header('Location: Connecter.php');*/
                    die();
                }else{header('Location: ConnecterAdmin.php?login_err=password'); die();}
            }else{header('Location: ConnecterAdmin.php?login_err=email'); die();}
        }else{header('Location: ConnecterAdmin.php?login_err=already'); die();}
    }else{header('Location: ConnecterAdmin.php'); die();}// si le formulaire est envoyé sans aucune données
?>